Module | GetText::PoMessageForRubyParser
In: | lib/gettext/tools/parser/ruby.rb

Extends PoMessage for RubyParser. Implements a sort of state machine to assist the parser.

### Methods

advance_to_next_attribute init_param set_current_attribute

### Public Instance methods

advance_to_next_attribute()
init_param()
set_current_attribute(str)

Supports parsing by setting attributes by and by.

[Validate]